Last Comment Bug 316025 - Crash at allaccess.com [@ nsBlockFrame::ReflowDirtyLines]
: Crash at allaccess.com [@ nsBlockFrame::ReflowDirtyLines]
Status: VERIFIED FIXED
: crash, topcrash+, verified1.8
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: P1 critical (vote)
: mozilla1.8final
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
http://www.allaccess.com
: 316080 316082 316398 316801 316830 317197 (view as bug list)
Depends on:
Blocks: 309044 316114 316398
  Show dependency treegraph
 
Reported: 2005-11-11 04:37 PST by M A Carraher
Modified: 2012-03-04 09:03 PST (History)
23 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Like so. (1.28 KB, patch)
2005-11-11 12:32 PST, Boris Zbarsky [:bz]
jst: review+
jst: superreview+
mscott: approval1.8rc2+
Details | Diff | Review

Description M A Carraher 2005-11-11 04:37:52 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051107 Firefox/1.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051107 Firefox/1.5

Since Firefox updated itself 11/10/05, every time I attempt to access this website, I get the Error Reporting pop-up telling me the program must close.
Rebooting does not help.


Reproducible: Always

Steps to Reproduce:
1. Go To www.allaccess.com
2.
3.

Actual Results:  
Error Report:
<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="firefox.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="AccessibleMarshal.dll" SIZE="8312" CHECKSUM="0xA84E8EAF" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="accessibility" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xEB44" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="firefox.exe" SIZE="7162979" CHECKSUM="0xBD5D5E39" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.5.0.0" PRODUCT_VERSION="1.5" FILE_DESCRIPTION="Firefox" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="firefox.exe" INTERNAL_NAME="Firefox" LEGAL_COPYRIGHT="Mozilla Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.5.0.0" LINK_DATE="11/07/2005 20:40:22" UPTO_LINK_DATE="11/07/2005 20:40:22" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="gksvggdiplus.dll" SIZE="55932" CHECKSUM="0xFBFB1533" BIN_FILE_VERSION="1.8.20050.25270" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8b4: 2005090806" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8b4: 2005090806" ORIGINAL_FILENAME="" INTERNAL_NAME="gksvggdiplus" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x181C8" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20050.25270" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="09/08/2005 14:21:07" UPTO_LINK_DATE="09/08/2005 14:21:07" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="413789" CHECKSUM="0x2DE42C8D" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x737B9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="155748" CHECKSUM="0xFD62FC20" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x296E4" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="364636" CHECKSUM="0xCD00A2C0" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x6477D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="237667" CHECKSUM="0x25FDF106" BIN_FILE_VERSION="1.53.0.0" BIN_PRODUCT_VERSION="1.53.0.0" PRODUCT_VERSION="1.53" FILE_DESCRIPTION="NSS Builtin Trusted Root CAs" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="1.53" ORIGINAL_FILENAME="nssckbi.dll" INTERNAL_NAME="nssckbi" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3AEFD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.53.0.0" UPTO_BIN_PRODUCT_VERSION="1.53.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="28777" CHECKSUM="0x38E5DFBA" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x14329" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="24676" CHECKSUM="0xE1CFF6C4" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x14834" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="106592" CHECKSUM="0xFAF7646" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x29A49" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="364644" CHECKSUM="0xBEF9CED8" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="softokn3.dll" INTERNAL_NAME="softokn3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x5B03F" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="110684" CHECKSUM="0xB6217A46" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1D6A6" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="updater.exe" SIZE="123002" CHECKSUM="0x69403F4" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="updater.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:36:40" UPTO_LINK_DATE="11/07/2005 20:36:40" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="7776" CHECKSUM="0xE0A3C7B9" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xBB81" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_compat.dll" SIZE="68203" CHECKSUM="0xF0756314" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom_obsolete" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x13946" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_core.dll" SIZE="401510" CHECKSUM="0x258AC13D" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x628F9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpicleanup.exe" SIZE="63596" CHECKSUM="0xAD74DCF5" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="xpicleanup.exe" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:36:56" UPTO_LINK_DATE="11/07/2005 20:36:56" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpistub.dll" SIZE="6758" CHECKSUM="0x4946E021" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="xpistub" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xD0F7" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jar50.dll" SIZE="60516" CHECKSUM="0xFB1CC73B" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="jar" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x11479" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jsd3250.dll" SIZE="49246" CHECKSUM="0x28EF13AE" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="jsdebug" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x15DEE" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\xpinstal.dll" SIZE="165990" CHECKSUM="0x26A5B6AD" BIN_FILE_VERSION="1.8.20051.10712" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005110712" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005110712" ORIGINAL_FILENAME="" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2A5CB" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.10712" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="plugins\GetFlash.exe" SIZE="128648" CHECKSUM="0x31A19F27" BIN_FILE_VERSION="8.0.22.0" BIN_PRODUCT_VERSION="8.0.22.0" PRODUCT_VERSION="8,0,22,0" FILE_DESCRIPTION="Macromedia Flash Player Updater 8.0  r22" COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave Flash Updater" FILE_VERSION="8,0,22,0" ORIGINAL_FILENAME="GetFlash.exe" INTERNAL_NAME="Macromedia Flash Player Updater 8.0" LEGAL_COPYRIGHT="Copyright © 1996-2005 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x298B9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="8.0.22.0" UPTO_BIN_PRODUCT_VERSION="8.0.22.0" LINK_DATE="08/27/2005 20:31:14" UPTO_LINK_DATE="08/27/2005 20:31:14" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\np32dsw.dll" SIZE="49152" CHECKSUM="0xF23C1A1A" BIN_FILE_VERSION="10.1.0.11" BIN_PRODUCT_VERSION="10.1.0.11" PRODUCT_VERSION="10.1" FILE_DESCRIPTION="Macromedia Shockwave for Director Netscape plug-in, version 10.1" COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave for Director" FILE_VERSION="10.1r11" ORIGINAL_FILENAME="NP32DSW.DLL" INTERNAL_NAME="NP32DSW" LEGAL_COPYRIGHT="Copyright © 1985-2004 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="10.1.0.11" UPTO_BIN_PRODUCT_VERSION="10.1.0.11" LINK_DATE="09/09/2004 07:03:48" UPTO_LINK_DATE="09/09/2004 07:03:48" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPAdbESD.dll" SIZE="5120" CHECKSUM="0x59473E7D" BIN_FILE_VERSION="2.0.0.0" BIN_PRODUCT_VERSION="2.0.0.0" PRODUCT_VERSION="2, 0, 0, 0" FILE_DESCRIPTION="&lt;a href='http://www.adobe.com'&gt;Adobe&lt;/a&gt;  ESD Version Manager 2.0" COMPANY_NAME="Adobe Systems Incorporated" PRODUCT_NAME="Adobe ESD Manager Plugin" FILE_VERSION="2, 0, 0, 0" ORIGINAL_FILENAME="NP_ADM32.DLL" INTERNAL_NAME="AdobeESD" LEGAL_COPYRIGHT="Copyright (C) 2002-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="2.0.0.0" UPTO_BIN_PRODUCT_VERSION="2.0.0.0" LINK_DATE="11/13/2004 03:36:20" UPTO_LINK_DATE="11/13/2004 03:36:20" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npmozax.dll" SIZE="110592" CHECKSUM="0x2941E087" BIN_FILE_VERSION="1.0.0.4" BIN_PRODUCT_VERSION="1.0.0.4" PRODUCT_VERSION="1, 0, 0, 4" FILE_DESCRIPTION="Mozilla ActiveX control and plugin module" COMPANY_NAME="" PRODUCT_NAME="Mozilla ActiveX control and plugin support" FILE_VERSION="1, 0, 0, 4" ORIGINAL_FILENAME="NPMOZAX.DLL" INTERNAL_NAME="NPMOZAX" LEGAL_COPYRIGHT="Copyright 1999" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.4" UPTO_BIN_PRODUCT_VERSION="1.0.0.4" LINK_DATE="10/02/2005 11:28:10" UPTO_LINK_DATE="10/02/2005 11:28:10" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npnul32.dll" SIZE="17022" CHECKSUM="0xCF0D9090" BIN_FILE_VERSION="1.0.0.15" BIN_PRODUCT_VERSION="1.0.0.15" PRODUCT_VERSION="1, 0, 0, 15" FILE_DESCRIPTION="Default Plug-in" COMPANY_NAME="mozilla.org" PRODUCT_NAME="Mozilla Default Plug-in" FILE_VERSION="1, 0, 0, 15" ORIGINAL_FILENAME="NPNUL32.DLL" INTERNAL_NAME="DEFPLUGIN" LEGAL_COPYRIGHT="Copyright © 1995-2000" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x102E4" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.15" UPTO_BIN_PRODUCT_VERSION="1.0.0.15" LINK_DATE="11/07/2005 20:55:32" UPTO_LINK_DATE="11/07/2005 20:55:32" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppdf32.dll" SIZE="77824" CHECKSUM="0x21D29EF2" BIN_FILE_VERSION="7.0.5.172" BIN_PRODUCT_VERSION="7.0.5.172" PRODUCT_VERSION="7.0.5.2005092300" FILE_DESCRIPTION="Adobe Acrobat Plug-In Version 7.00 for Netscape" COMPANY_NAME="Adobe Systems Inc." PRODUCT_NAME="Adobe Acrobat" FILE_VERSION="7.0.5.2005092300" ORIGINAL_FILENAME="NPPDF32.DLL" LEGAL_COPYRIGHT="Copyright 1984-2005 Adobe Systems Incorporated and its licensors. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10001" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1D654" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.5.172" UPTO_BIN_PRODUCT_VERSION="7.0.5.172" LINK_DATE="09/24/2005 04:44:16" UPTO_LINK_DATE="09/24/2005 04:44:16" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppl3260.dll" SIZE="139305" CHECKSUM="0x2E64668E" BIN_FILE_VERSION="6.0.11.2105" BIN_PRODUCT_VERSION="6.0.11.2105" PRODUCT_VERSION="6.0.11.2105" FILE_DESCRIPTION="RealPlayer(tm) LiveConnect-Enabled Plug-In" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer(tm) G2 LiveConnect-Enabled Plug-In (32-bit) " FILE_VERSION="6.0.11.2105" ORIGINAL_FILENAME="NPPL3260.DLL" INTERNAL_NAME="NPPL" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1995-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.11.2105" UPTO_BIN_PRODUCT_VERSION="6.0.11.2105" LINK_DATE="05/27/2005 20:48:00" UPTO_LINK_DATE="05/27/2005 20:48:00" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin2.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin3.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin4.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprjplug.dll" SIZE="24621" CHECKSUM="0xCB1AA3FF" BIN_FILE_VERSION="1.0.2.2163" BIN_PRODUCT_VERSION="1.0.2.2163" PRODUCT_VERSION="1.0.2.2163" FILE_DESCRIPTION="RealJukebox Netscape Plugin" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealJukebox NS Plugin" FILE_VERSION="1.0.2.2163" ORIGINAL_FILENAME="nprjplug.dll" INTERNAL_NAME="RealJukebox" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1999-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.2.2163" UPTO_BIN_PRODUCT_VERSION="1.0.2.2163" LINK_DATE="05/27/2005 20:17:43" UPTO_LINK_DATE="05/27/2005 20:17:43" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprpjplug.dll" SIZE="81967" CHECKSUM="0xFB2707F3" BIN_FILE_VERSION="6.0.12.1212" BIN_PRODUCT_VERSION="6.0.12.1212" PRODUCT_VERSION="6.0.12.1212" FILE_DESCRIPTION="6.0.12.1212" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer Version Plugin" FILE_VERSION="6.0.12.1212" ORIGINAL_FILENAME="npjplug.dll" INTERNAL_NAME="nprpjplug" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 2001-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.12.1212" UPTO_BIN_PRODUCT_VERSION="6.0.12.1212" LINK_DATE="05/27/2005 20:34:11" UPTO_LINK_DATE="05/27/2005 20:34:11" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPSWF32.dll" SIZE="1312392" CHECKSUM="0x72BCA0E8" BIN_FILE_VERSION="8.0.22.0" BIN_PRODUCT_VERSION="8.0.22.0" PRODUCT_VERSION="8,0,22,0" FILE_DESCRIPTION="Shockwave Flash 8.0  r22" COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave Flash" FILE_VERSION="8,0,22,0" ORIGINAL_FILENAME="npswf32.dll" INTERNAL_NAME="Macromedia Flash Player 8.0" LEGAL_COPYRIGHT="Copyright © 1996-2005 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x146A1D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="8.0.22.0" UPTO_BIN_PRODUCT_VERSION="8.0.22.0" LINK_DATE="08/27/2005 20:44:35" UPTO_LINK_DATE="08/27/2005 20:44:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npunagi2.dll" SIZE="57344" CHECKSUM="0xBD71D557" BIN_FILE_VERSION="1.0.0.1" BIN_PRODUCT_VERSION="1.0.0.1" PRODUCT_VERSION="1, 0, 0, 1" FILE_DESCRIPTION="npunagi2" COMPANY_NAME="America Online, Inc." PRODUCT_NAME="AOL Media Playback Plugin" FILE_VERSION="1, 0, 0, 1" ORIGINAL_FILENAME="npunagi2.dll" INTERNAL_NAME="npunagi2" LEGAL_COPYRIGHT="Copyright © 2005 America Online, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.1" UPTO_BIN_PRODUCT_VERSION="1.0.0.1" LINK_DATE="07/22/2005 14:31:22" UPTO_LINK_DATE="07/22/2005 14:31:22" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="uninstall\UninstallFirefox.exe" SIZE="107132" CHECKSUM="0xDB39867F" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="10/26/2005 02:36:54" UPTO_LINK_DATE="10/26/2005 02:36:54" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="983552" CHECKSUM="0x4CE79457" BIN_FILE_VERSION="5.1.2600.2180" BIN_PRODUCT_VERSION="5.1.2600.2180" PRODUCT_VERSION="5.1.2600.2180" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows® Operating System" FILE_VERSION="5.1.2600.2180 (xpsp_sp2_rtm.040803-2158)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFF848" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.2180" UPTO_BIN_PRODUCT_VERSION="5.1.2600.2180" LINK_DATE="08/04/2004 07:56:36" UPTO_LINK_DATE="08/04/2004 07:56:36" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>
Comment 1 Nick Thomas [:nthomas] 2005-11-11 04:45:56 PST
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051110 Firefox/1.5 ID:2005111003

Crashes me too, TB11712922G
Comment 2 Jesse Ruderman 2005-11-11 05:06:16 PST
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051107 Firefox/1.5

Flash Player 8,0,22,0

I don't always crash, but I did crash once and got a similar stack: TB11713384K. The stack trace is suspect because it has "random hex addresses" near the bottom.
Comment 3 Ria Klaassen (not reading all bugmail) 2005-11-11 06:20:00 PST
1.9a1_2005110313 (no crash) - 1.9a1_2005110322 (crash)
1.8_2005110413 (no crash) - 1.8_2005110422 (crash)
Comment 4 timeless 2005-11-11 08:32:08 PST
FastFind
Talkback Incident ID
	
Talkback Reports
Mozilla Reports Mozilla     Firefox Reports Firefox     Thunderbird Reports Thunderbird     Camino Reports Camino
QuickSearch
Search By: Stack Signature Comments URL
Customize your search:
Vendor: Product: Platform: Build:
Start Date: 				End Date: 		
	(mm/dd/yyyy) 	(hh:mm:ss) 			(mm/dd/yyyy) 	(hh:mm:ss) 	
Sort By: ID Stack Signature Comments URL Build
  
Incident ID: 11712922
Stack Signature	nsBlockFrame::ReflowDirtyLines d65fdbce
Product ID	Firefox15
Build ID	2005111003
Trigger Time	2005-11-11 04:41:43.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	firefox.exe + (0023b9c8)
URL visited	http://www.allaccess.com
User Comments	Crashes loading page in clean profile, branch nightly.
Since Last Crash	1344 sec
Total Uptime	1344 sec
Trigger Reason	Access violation
Source File, Line No.	c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsBlockFrame.cpp, line 2166
Stack Trace 	
nsBlockFrame::ReflowDirtyLines  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsBlockFrame.cpp, line 2166]
nsBlockFrame::Reflow  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsBlockFrame.cpp, line 904]
nsContainerFrame::ReflowChild  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsContainerFrame.cpp, line 904]
CanvasFrame::Reflow  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsHTMLFrame.cpp, line 536]
nsContainerFrame::ReflowChild  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsContainerFrame.cpp, line 904]
nsHTMLScrollFrame::ReflowScrolledFrame  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsGfxScrollFrame.cpp, line 523]
nsHTMLScrollFrame::ReflowContents  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsGfxScrollFrame.cpp, line 571]
nsHTMLScrollFrame::Reflow  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsGfxScrollFrame.cpp, line 769]
nsContainerFrame::ReflowChild  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsContainerFrame.cpp, line 904]
ViewportFrame::Reflow  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsViewportFrame.cpp, line 240]
IncrementalReflow::Dispatch  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 914]
PresShell::ProcessReflowCommands  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 6870]
PresShell::FlushPendingNotifications  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 5333]
nsDocument::FlushPendingNotifications  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/content/base/src/nsDocument.cpp, line 4253]
nsHTMLDocument::FlushPendingNotifications  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/content/html/document/src/nsHTMLDocument.cpp, line 1220]
nsHTMLExternalObjSH::GetPluginInstance  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/dom/src/base/nsDOMClassInfo.cpp, line 8345]
nsHTMLExternalObjSH::PostCreate  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/dom/src/base/nsDOMClassInfo.cpp, line 8405]
XPCWrappedNative::GetNewOrUsed  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp, line 456]
XPCWrappedNative::GetNewOrUsed  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp, line 322]
XPCConvert::NativeInterface2JSObject  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcconvert.cpp, line 1107]
nsXPConnect::WrapNative  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/nsXPConnect.cpp, line 588]
nsJSNPRuntime::OnPluginDestroy  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/modules/plugin/base/src/nsJSNPRuntime.cpp, line 1416]
ns4xPluginInstance::Stop  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/modules/plugin/base/src/ns4xPluginInstance.cpp, line 940]
nsObjectFrame::Destroy  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsObjectFrame.cpp, line 749]
nsFrameList::DestroyFrames  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsFrameList.cpp, line 138]
nsLineBox::DeleteLineList  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsLineBox.cpp, line 325]
nsLineBox::DeleteLineList  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsLineBox.cpp, line 325]
nsFrameList::DestroyFrames  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsFrameList.cpp, line 138]
nsFrameList::DestroyFrames  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsFrameList.cpp, line 138]
nsFrameList::DestroyFrames  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsFrameList.cpp, line 138]
nsFrameList::DestroyFrames  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsFrameList.cpp, line 138]
nsFrameList::DestroyFrames  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsFrameList.cpp, line 138]
nsTableFrame::Destroy  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/tables/nsTableFrame.cpp, line 311]
nsTableOuterFrame::Destroy  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/tables/nsTableOuterFrame.cpp, line 81]
nsBlockFrame::DoRemoveFrame  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsBlockFrame.cpp, line 5721]
nsBlockFrame::RemoveFrame  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/generic/nsBlockFrame.cpp, line 5510]
nsFrameManager::RemoveFrame  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsFrameManager.cpp, line 705]
nsCSSFrameConstructor::ContentRemoved  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 9965]
nsCSSFrameConstructor::RecreateFramesForContent  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 11854]
nsCSSFrameConstructor::RestyleElement  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 10398]
nsCSSFrameConstructor::ProcessOneRestyle  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 13812]
nsCSSFrameConstructor::ProcessPendingRestyles  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 13860]
nsCSSFrameConstructor::RestyleEvent::HandleEvent  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 13922]
0x778b0c24
nsFormControlList::RemoveElementFromTable  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/content/html/content/src/nsHTMLFormElement.cpp, line 1994]
0xffffff74
Comment 5 Marcia Knous [:marcia - use ni] 2005-11-11 10:28:59 PST
I crashed accessing this site the first time on OS X 10.4.3, shockwave version 8.0 r22. I did not see the crash on my other Mac running 10.3.9, shockwave version 7.0 r24.

talkback ID for my crash is TB11570612Z
Comment 6 Boris Zbarsky [:bz] 2005-11-11 12:20:58 PST
So the summary is that we're deleting frames, which causes the plugin instance to be torn down, which calls WrapNative, which tries to flush our reflow (since we're wrapping an <object>).

And then we crash, probably because the frame tree is in a somewhat inconsistent state.

We should really be ignoring reflow flushes while processing restyles, imo. The problem is that making that change on the 1.8 branch at this point is pretty risky.  :(

On the other hand, shouldn't nsJSNPRuntime::OnPluginDestroy call GetWrappedNativeOfNativeObject() instead of WrapNative()?  It seems odd to force wrapping here even if we've never wrapped before, since we just want to muck with the proto chain (so no JSObject should mean nothing to do).  This should be quite safe to do.

I don't see a way to request blocking for 1.8 final, but I expect this crash to bite a good deal for users with Flash 8....
Comment 7 Boris Zbarsky [:bz] 2005-11-11 12:32:16 PST
Created attachment 202716 [details] [diff] [review]
Like so.
Comment 8 Johnny Stenback (:jst, jst@mozilla.com) 2005-11-11 12:36:52 PST
Comment on attachment 202716 [details] [diff] [review]
Like so.

Yeah, that makes perfect sense. r+sr=jst
Comment 9 Boris Zbarsky [:bz] 2005-11-11 12:39:25 PST
Given bug 316082, it's all OSes.  Landed on trunk.
Comment 10 Boris Zbarsky [:bz] 2005-11-11 12:43:57 PST
Comment on attachment 202716 [details] [diff] [review]
Like so.

I know it's really really late in the game to be asking for approval, but I suspect this will be a topcrash for 1.8rc2 otherwise...

The patch changes our code for cleaning up the JS object of a plugin's DOM node on plugin destruction to not force creation of said JS object.  This won't regress bug 309044 (which is what we have this code for to start with), since in that case the node already has a JS object.  So the change is about as safe as anything could be at this point.  Not fixing this will lead to random crashes when leaving pages with flash on them and in various other situations when we tear down a flash plugin, which is something that happens pretty often given the amount of flash on the Web.  :(

This might or might not also bite us with Java plugins; I'm not sure whether those use this stuff or the old XPCOM plugin stuff...
Comment 11 Jay Patel [:jay] 2005-11-11 12:49:07 PST
Adding topcrash+ keyword, as this is the #1 topcrasher with RC2:
http://talkback-public.mozilla.org/reports/firefox/FF15rc2/FF15rc2-topcrashers.html

And it looks like myspace.com users are seeing this conisistently:http://talkback-public.mozilla.org/reports/firefox/FF15rc2/smart-analysis.all

Just do a search for "nsBlockFrame::ReflowDirtyLines" to see this set of crashes in the report.
Comment 12 Boris Zbarsky [:bz] 2005-11-11 12:54:26 PST
*** Bug 316082 has been marked as a duplicate of this bug. ***
Comment 13 Jay Patel [:jay] 2005-11-11 13:04:00 PST
Considering the impact on Flash users, and bz's comments in email:

"Summary:  Bug 316025 is a crash that happens due to us accessing deleted objects if we happen to tear down a page with a scriptable (using the JSNPRuntime stuff) plugin on it.  Like Flash 8, for example....

Risk:  Minimal.  It's a change to the code, so I can't claim none, but this is as close to none as it gets."

I think this is a blocker for 1.5 final.  Anytime a crasher reached 20%+ of total incoming incidents, it's something we need to address right away.
Comment 14 Scott MacGregor 2005-11-11 14:04:58 PST
Comment on attachment 202716 [details] [diff] [review]
Like so.

bz, can you land this on the branch today? (or I can if you aren't around). We're going to do an emergency respin today to pick this up. Thanks.
Comment 15 Boris Zbarsky [:bz] 2005-11-11 14:30:07 PST
Fixed on 1.8 branch (for 1.8rc2, not 1.8rc1 like the target milestone says, but we don't have a better milestone ;) ).
Comment 16 Peter van der Woude [:Peter6] 2005-11-11 18:13:14 PST
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8) Gecko/20051111 Firefox/1.5 ID:2005111116

verified, no crash
Comment 17 Stephen Donner [:stephend] - PTO; back on 5/28 2005-11-11 20:09:10 PST
Verified FIXED using SeaMonkey 1.5a;Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20051116 Mozilla/1.0

Trunk, no crash.
Comment 18 Adam Guthrie 2005-11-12 13:01:29 PST
*** Bug 316080 has been marked as a duplicate of this bug. ***
Comment 19 Marcia Knous [:marcia - use ni] 2005-11-13 16:32:40 PST
No crash on the Mac using 2005-11-11-17-mozilla1.8/. Changing keyword to verified1.8
Comment 20 davedit 2005-11-14 01:53:39 PST
I get this bug using the 11/12 official trunk nightly, or the 11/13 optimized trunk nightly. With the official nightly, Camino hangs and gets a never-ending beachball while Talkbalk launches. Optimized nightly (no Talkback) just crashes. No problem with the 11/13 official branch nightly.

Here's a site that can consistently cause a crash for me with trunk builds: http://www.myspace.com/naraee

And here's my crash log: http://www.fiberoptikz.tk/~slowmo/MySpaceCrash.txt
Comment 21 Boris Zbarsky [:bz] 2005-11-14 05:42:58 PST
Hmm...  that stack should not be possible with a current trunk nightly; those functions just don't call each other.  What's the build id of the build you're using?
Comment 22 davedit 2005-11-14 12:56:25 PST
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.9a1) Gecko/20051112 Camino/1.0+
Comment 23 davedit 2005-11-14 12:59:12 PST
Okay my mistake, I checked the crash log and now it seems to be caused by https://bugzilla.mozilla.org/show_bug.cgi?id=315966 . Sorry about that.
Comment 24 François Gagné 2005-11-14 13:09:14 PST
*** Bug 316398 has been marked as a duplicate of this bug. ***
Comment 25 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-11-18 04:35:30 PST
*** Bug 316830 has been marked as a duplicate of this bug. ***
Comment 26 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2005-11-20 10:33:04 PST
*** Bug 317197 has been marked as a duplicate of this bug. ***
Comment 27 Boris Zbarsky [:bz] 2005-11-22 07:52:14 PST
This patch did manage to re-break bug 309044.  :(
Comment 28 Kevin Brosnan 2005-11-27 08:15:17 PST
*** Bug 316801 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.